/****************************************************************************************

		IModelerView.h

		Copyright (c)1990 - 1999 MetaCreations. All rights reserved.

		Author:	Jerome Bignon
		Date:	05/25/99

		Revision History

		when		who			what & why
		==========	==========	======================================================
		05/25/99	Jerome		Creation

*****************************************************************************************/

#ifndef __IModelerVIEW__
#define __IModelerVIEW__  

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "ModelerDef.h"
#include "APITypes.h"

class Modeler;

extern const MCGUID IID_IModelerView;

struct IModelerView : public IMCUnknown
{
	virtual	Modeler*	MCCOMAPI	GetModelerNoAddRef() = 0;
	virtual	void		MCCOMAPI	SetModeler(Modeler* TheModeler) = 0;
	virtual	void		MCCOMAPI	SetBackgroundColor(const TMCRGBColor& rgbcolor) = 0;
	virtual real		MCCOMAPI	GetZoom() = 0;
	virtual int16		MCCOMAPI	GetViewSide() = 0;
	virtual void		MCCOMAPI	SetViewSide( int16 viewNumber ) = 0;
	virtual void		MCCOMAPI	SetZoom11() = 0;
//	virtual void		MCCOMAPI	SetCursorID() = 0;

};

#endif // __IModelerView__